Publish Version Tier 4
POST/api/skills/:id/versionsCopied!
Publishes a new version for a workspace skill.
Pro plan required
Skill Registry is available on the Pro plan and higher.
YouViCo-managed skills
YouViCo-managed skills cannot use this endpoint.
Example
ts
const version = await client.skills.publishVersion("SK1234567890ABCD", {
content: "# Review Helper\n\nCheck revisions.",
note: "Initial public draft",
isDefault: true,
});bash
youvico skill-version publish \
--skill SK1234567890ABCD \
--content "# Review Helper
Check revisions." \
--note "Initial public draft" \
--defaultbash
curl -X POST 'https://api.youvico.com/api/skills/SK1234567890ABCD/versions' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ "content": "# Review Helper\n\nCheck revisions.", "note": "Initial public draft", "isDefault": true }'json
{
"data": {
"id": "SV1234567890ABCD",
"version": 1
}
}Request
Path
idstringrequired Skill ID
Body
contentstringrequired Markdown content for the version
notestring1-1024 characters
Note for tracking the published version
isDefaultboolean Whether the new version should become the default version
Response
Returns 201 Created.
dataobjectCreated version
data.idstringSkill version ID
Example: SV1234567890ABCD
data.versionnumberVersion number
Example: 1